/*
 * ========================================================================
 *
 * Copyright 2007-2008 OW2. Code from this file
 * was originally imported from the OW2 JOnAS project.
 *
 * Codehaus CARGO, copyright 2004-2011 Vincent Massol.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * ========================================================================
 */
package org.codehaus.cargo.container.jonas.internal;

import org.codehaus.cargo.container.jonas.JonasPropertySet;

/**
 * Capabilities of JOnAS {@link org.codehaus.cargo.container.jonas.Jonas5xRuntimeConfiguration}
 * configuration.
 * 
 * @version $Id: Jonas5xRuntimeConfigurationCapability.java 3107 2011-10-15 11:24:37Z alitokmen $
 */
public class Jonas5xRuntimeConfigurationCapability extends Jonas4xRuntimeConfigurationCapability
{

    /**
     * Initialize the configuration-specific supports Map.
     */
    public Jonas5xRuntimeConfigurationCapability()
    {
        super();

        this.defaultSupportsMap.put(JonasPropertySet.JONAS_UNDEPLOY_IGNORE_VERSION, Boolean.TRUE);
    }
}
